Update import storage

Update a specific local file import storage connection.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired

Request

This endpoint expects an object.
descriptionstringOptional
Storage description
pathstringOptional
Path to local directory
projectintegerOptional
Project ID
regex_filterstringOptional
Regex for filtering objects
titlestringOptional<=2048 characters
Storage title
use_blob_urlsbooleanOptionalDefaults to false
Interpret objects as BLOBs and generate URLs. For example, if your directory contains images, you can use this option to generate URLs for these images. If set to False, it will read the content of the file and load it into Label Studio.

Response

created_atdatetime
Creation time
idinteger
projectinteger
A unique integer value identifying this project.
typestringDefaults to localfiles
descriptionstring or null
Cloud storage description
last_syncdatetime or null
Last sync finished time
last_sync_countinteger or null0-2147483647
Count of tasks synced last time
last_sync_jobstring or null<=256 characters
Last sync job ID
metaany or null
Meta and debug information about storage processes
pathstring or null
Local path
recursive_scanboolean or null
Perform recursive scan over the directory content
regex_filterstring or null
Regex for filtering objects
statusenum or null
* `initialized` - Initialized * `queued` - Queued * `in_progress` - In progress * `failed` - Failed * `completed` - Completed * `completed_with_errors` - Completed with errors
synchronizableboolean or nullDefaults to true
titlestring or null<=256 characters
Cloud storage title
tracebackstring or null
Traceback report for the last failed sync
use_blob_urlsboolean or null
Interpret objects as BLOBs and generate URLs